ランタイム: Mix::HID::IManager Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::HID::IManager Class Referenceabstract

インプットマネージャインターフェース More...

`#include <IManager.h>`

Inheritance diagram for Mix::HID::IManager:
[legend]
Collaboration diagram for Mix::HID::IManager:
[legend]

## Public Member Functions

virtual Boolean | GetKeyboard (Mix::HID::IKeyboard **ppKeyboard)=0
| キーボードを取得します More...
virtual Boolean | GetMouse (Mix::HID::IMouse **ppMouse)=0
| マウスを取得します More...
virtual Boolean | GetGamepad (UInt32 port, Mix::HID::IGamepad **ppGamepad)=0
| ゲームパッドを取得します More...
virtual Boolean | FindGamepad (Mix::HID::GAMEPAD_API api, Mix::HID::IGamepad **ppGamepad)=0
| 利用可能なゲームパッドを取得します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IManager (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

インプットマネージャインターフェース

## Constructor & Destructor Documentation

virtual Mix::HID::IManager::~IManager | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual Boolean Mix::HID::IManager::GetKeyboard | ( | Mix::HID::IKeyboard ** | ppKeyboard | ) |

pure virtual

キーボードを取得します

Parameters

  [out] | ppKeyboard | 取得したキーボードを渡す Mix::HID::IKeyboard インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

virtual Boolean Mix::HID::IManager::GetMouse | ( | Mix::HID::IMouse ** | ppMouse | ) |

pure virtual

マウスを取得します

Parameters

  [out] | ppMouse | 取得したマウスを渡す Mix::HID::IMouse インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

virtual Boolean Mix::HID::IManager::GetGamepad | ( | UInt32 | port,
|  | Mix::HID::IGamepad ** | ppGamepad
| ) |  |

pure virtual

ゲームパッドを取得します

Parameters

  [in] | port | ゲームパッドのポート( Mix::HID::GAMEPAD_PORT )
  [out] | ppGamepad | 取得したゲームパッドを表す Mix::HID::IGamepad インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

virtual Boolean Mix::HID::IManager::FindGamepad | ( | Mix::HID::GAMEPAD_API | api,
|  | Mix::HID::IGamepad ** | ppGamepad
| ) |  |

pure virtual

利用可能なゲームパッドを取得します

Parameters

  [in] | api | 優先するゲームパッドのAPI
  [out] | ppGamepad | 取得したゲームパッドを表す Mix::HID::IGamepad インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

Note
  api に Mix::HID::GAMEPAD_UNKNOWN を指定した場合は XInput を優先します

The documentation for this class was generated from the following file:

- Mix/HID/IManager.h